Bug 93833 - [MAINTAINER] security/openvpn: fix FreeBSD 4 jail build
[MAINTAINER] security/openvpn: fix FreeBSD 4 jail build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Vasil Dimov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 17:50 UTC by matthias.andree
Modified: 2006-03-02 10:50 UTC (History)
1 user (show)

See Also:


Attachments
openvpn-2.0.5_1.patch (747 bytes, patch)
2006-02-25 17:50 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2006-02-25 17:50:02 UTC
- fix build in FreeBSD 4 jails

Patch by: Dirk Meyer (dinoex)

Generated with FreeBSD Port Tools 0.63
Comment 1 Vasil Dimov freebsd_committer 2006-02-27 15:57:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

I will take it
Comment 2 Vasil Dimov freebsd_committer 2006-02-28 13:33:34 UTC
On Sat, Feb 25, 2006 at 06:48:28PM +0100, Matthias Andree wrote:
...
> ++    || ps -ostate -p $$ | tail -n1 | grep -q J; then
...

What about:
  ++    || ps -ostate= -p $$ | grep -q J; then

Do you like it?

-- 
Vasil Dimov
Comment 3 matthias.andree 2006-02-28 16:04:50 UTC
Vasil Dimov wrote:
> On Sat, Feb 25, 2006 at 06:48:28PM +0100, Matthias Andree wrote:
> ...
>> ++    || ps -ostate -p $$ | tail -n1 | grep -q J; then
> ...
> 
> What about:
>   ++    || ps -ostate= -p $$ | grep -q J; then
> 
> Do you like it?

Fine with me. Dirk, any objections?
Comment 4 Vasil Dimov freebsd_committer 2006-02-28 16:27:20 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dirk.meyer 2006-03-02 10:40:33 UTC
Matthias Andree schrieb:,

> >> ++    || ps -ostate -p $$ | tail -n1 | grep -q J; then
> > ...
> > 
> > What about:
> >   ++    || ps -ostate= -p $$ | grep -q J; then
> > 
> > Do you like it?
> 
> Fine with me. Dirk, any objections?

Is fine too.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]